aboutsummaryrefslogtreecommitdiff
path: root/git-pull.sh
diff options
context:
space:
mode:
authorSZEDER Gábor <szeder@ira.uka.de>2008-04-06 03:23:46 +0200
committerJunio C Hamano <gitster@pobox.com>2008-04-12 19:28:18 -0700
commitefb779f8873e5aa36be29a4e551186c62c1b580c (patch)
treefee6f6a34142af04294bbb2ce13822bf4ccb1c13 /git-pull.sh
parent6cd9cfefc505ed5ab5ff435ff9ef338ac8721225 (diff)
downloadgit-efb779f8873e5aa36be29a4e551186c62c1b580c.tar.gz
git-efb779f8873e5aa36be29a4e551186c62c1b580c.tar.xz
merge, pull: add '--(no-)log' command line option
These are the command line option equivalents of the 'merge.log' config variable. The patch also updates documentation and bash completion accordingly, and adds a test. Signed-off-by: SZEDER Gábor <szeder@ira.uka.de> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-pull.sh')
-rwxr-xr-xgit-pull.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/git-pull.sh b/git-pull.sh
index ed83ce1e4..bf0c2985a 100755
--- a/git-pull.sh
+++ b/git-pull.sh
@@ -16,7 +16,7 @@ cd_to_toplevel
test -z "$(git ls-files -u)" ||
die "You are in the middle of a conflicted merge."
-strategy_args= no_stat= no_commit= squash= no_ff=
+strategy_args= no_stat= no_commit= squash= no_ff= log_arg=
curr_branch=$(git symbolic-ref -q HEAD)
curr_branch_short=$(echo "$curr_branch" | sed "s|refs/heads/||")
rebase=$(git config --bool branch.$curr_branch_short.rebase)
@@ -27,6 +27,8 @@ do
no_stat=-n ;;
--stat|--summary)
no_stat=$1 ;;
+ --log|--no-log)
+ log_arg=$1 ;;
--no-c|--no-co|--no-com|--no-comm|--no-commi|--no-commit)
no_commit=--no-commit ;;
--c|--co|--com|--comm|--commi|--commit)
@@ -170,9 +172,9 @@ then
exit
fi
-merge_name=$(git fmt-merge-msg <"$GIT_DIR/FETCH_HEAD") || exit
+merge_name=$(git fmt-merge-msg $log_arg <"$GIT_DIR/FETCH_HEAD") || exit
test true = "$rebase" &&
exec git-rebase $strategy_args --onto $merge_head \
${oldremoteref:-$merge_head}
-exec git-merge $no_stat $no_commit $squash $no_ff $strategy_args \
+exec git-merge $no_stat $no_commit $squash $no_ff $log_arg $strategy_args \
"$merge_name" HEAD $merge_head